com.pixelmed.dicom

## Class CodingSchemeIdentificationItem

- java.lang.Object
- - com.pixelmed.dicom.CodingSchemeIdentificationItem

    public class CodingSchemeIdentificationItem
    extends java.lang.Object

encoded in composite instances within CodingSchemeIdentificationSequence.

### Field Summary

Fields
`protected java.lang.String` `codingSchemeDesignator`
`protected java.lang.String` `codingSchemeName`
`protected java.lang.String` `codingSchemeRegistry`
`protected java.lang.String` `codingSchemeUID`

### Constructor Summary

Constructors
Constructor and Description
`CodingSchemeIdentificationItem(SequenceItem item)`
`CodingSchemeIdentificationItem(java.lang.String codingSchemeDesignator, java.lang.String codingSchemeRegistry, java.lang.String codingSchemeUID, java.lang.String codingSchemeName)`

### Method Summary

Methods
`SequenceItem` `getAsSequenceItem()`
`java.lang.String` `getCodingSchemeDesignator()`
`java.lang.String` `getCodingSchemeName()`
`java.lang.String` `getCodingSchemeRegistry()`
`java.lang.String` `getCodingSchemeUID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### codingSchemeDesignator

    protected java.lang.String codingSchemeDesignator

#### codingSchemeRegistry

    protected java.lang.String codingSchemeRegistry

#### codingSchemeUID

    protected java.lang.String codingSchemeUID

#### codingSchemeName

    protected java.lang.String codingSchemeName

### Constructor Detail

#### CodingSchemeIdentificationItem

    public CodingSchemeIdentificationItem(java.lang.String codingSchemeDesignator,
                                  java.lang.String codingSchemeRegistry,
                                  java.lang.String codingSchemeUID,
                                  java.lang.String codingSchemeName)

#### CodingSchemeIdentificationItem

    public CodingSchemeIdentificationItem(SequenceItem item)

### Method Detail

#### getCodingSchemeDesignator

    public java.lang.String getCodingSchemeDesignator()

#### getCodingSchemeRegistry

    public java.lang.String getCodingSchemeRegistry()

#### getCodingSchemeUID

    public java.lang.String getCodingSchemeUID()

#### getCodingSchemeName

    public java.lang.String getCodingSchemeName()

#### getAsSequenceItem

    public SequenceItem getAsSequenceItem()